## org.exist.cocoon
Class XMLReaderWrapper

    java.lang.Object
      org.exist.cocoon.XMLReaderWrapper

All Implemented Interfaces:
  org.xml.sax.XMLReader

public class XMLReaderWrapper
extends java.lang.Object
implements org.xml.sax.XMLReader

Wrapper around SAXParser interface from excalibur to provide an (excalibur) independend implementation of XMLReader.

Constructor Summary
`XMLReaderWrapper(org.apache.excalibur.xml.sax.SAXParser saxParser)`

Method Summary
`org.xml.sax.ContentHandler` `getContentHandler()`
`org.xml.sax.DTDHandler` `getDTDHandler()` Not supported.
`org.xml.sax.EntityResolver` `getEntityResolver()` Not supported.
`org.xml.sax.ErrorHandler` `getErrorHandler()` Not supported.
`boolean` `getFeature(java.lang.String name)` Not supported.
`java.lang.Object` `getProperty(java.lang.String name)`
`void` `parse(org.xml.sax.InputSource input)`
`void` `parse(java.lang.String systemId)`
`void` `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` `setDTDHandler(org.xml.sax.DTDHandler handler)` Not supported.
`void` `setEntityResolver(org.xml.sax.EntityResolver resolver)` Not supported.
`void` `setErrorHandler(org.xml.sax.ErrorHandler handler)` Not supported.
`void` `setFeature(java.lang.String name, boolean value)` Not supported.
`void` `setProperty(java.lang.String name, java.lang.Object value)` Only property http://xml.org/sax/properties/lexical-handler is supported.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLReaderWrapper

    public XMLReaderWrapper(org.apache.excalibur.xml.sax.SAXParser saxParser)

Parameters:
  `saxParser` - to wrap around

Method Detail

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
  See Also:
    `XMLReader.parse(java.lang.String)`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Not supported.

  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`
  See Also:
    `XMLReader.getFeature(java.lang.String)`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Not supported.

  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`
  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getContentHandler()`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setContentHandler(org.xml.sax.ContentHandler)`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Not supported.

  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getDTDHandler()`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  Not supported.

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setDTDHandler(org.xml.sax.DTDHandler)`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Not supported.

  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getEntityResolver()`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Not supported.

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setEntityResolver(org.xml.sax.EntityResolver)`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Not supported.

  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getErrorHandler()`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Not supported.

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setErrorHandler(org.xml.sax.ErrorHandler)`

### parse

    public void parse(org.xml.sax.InputSource input)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
  See Also:
    `XMLReader.parse(org.xml.sax.InputSource)`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`
  See Also:
    `XMLReader.getProperty(java.lang.String)`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Only property http://xml.org/sax/properties/lexical-handler is supported.

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`
  See Also:
    `XMLReader.setProperty(java.lang.String, java.lang.Object)`

Copyright (C) Wolfgang Meier. All rights reserved.